API ReferenceapiclinicalPOST /webhooks/junction-link

POST /webhooks/junction-link

Service: clinical · operationId: (none)

Receive Junction Link vital sign webhooks

Required scopes

(no scope declared — review service config)

Required headers

  • svix-id
  • svix-timestamp
  • svix-signature
  • x-webhook-signature
  • x-junction-signature
  • x-signature

Request body

{
  "type": "object",
  "properties": {
    "event": {
      "type": "string"
    },
    "event_type": {
      "type": "string"
    },
    "user_id": {
      "type": "string"
    },
    "client_user_id": {
      "type": "string"
    },
    "provider": {
      "type": "string"
    },
    "data": {}
  }
}

Responses

200 Webhook received

{
  "type": "object",
  "properties": {
    "received": {
      "type": "boolean",
      "enum": [
        true
      ]
    },
    "event": {
      "type": "string"
    },
    "matched_connections": {
      "type": "integer",
      "minimum": 0
    }
  },
  "required": [
    "received",
    "event",
    "matched_connections"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

401 Signature verification failed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Configuration error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://clinical.platform.loop.health/webhooks/junction-link \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'